<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_HotelBookingRulesRequest StructType
 * @subpackage Structs
 */
class JP_HotelBookingRulesRequest extends AbstractStructBase
{
    /**
     * The HotelOption
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_HotelOptionRequest
     */
    public $HotelOption;
    /**
     * The SearchSegmentsHotels
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_SearchSegmentsHotels
     */
    public $SearchSegmentsHotels;
    /**
     * The RelPaxesDist
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_HotelRelPaxDist
     */
    public $RelPaxesDist;
    /**
     * The Rebook
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_Rebook
     */
    public $Rebook;
    /**
     * Constructor method for JP_HotelBookingRulesRequest
     * @uses JP_HotelBookingRulesRequest::setHotelOption()
     * @uses JP_HotelBookingRulesRequest::setSearchSegmentsHotels()
     * @uses JP_HotelBookingRulesRequest::setRelPaxesDist()
     * @uses JP_HotelBookingRulesRequest::setRebook()
     * @param \StructType\JP_HotelOptionRequest $hotelOption
     * @param \StructType\JP_SearchSegmentsHotels $searchSegmentsHotels
     * @param \ArrayType\ArrayOfJP_HotelRelPaxDist $relPaxesDist
     * @param \StructType\JP_Rebook $rebook
     */
    public function __construct(\StructType\JP_HotelOptionRequest $hotelOption = null, \StructType\JP_SearchSegmentsHotels $searchSegmentsHotels = null, \ArrayType\ArrayOfJP_HotelRelPaxDist $relPaxesDist = null, \StructType\JP_Rebook $rebook = null)
    {
        $this
            ->setHotelOption($hotelOption)
            ->setSearchSegmentsHotels($searchSegmentsHotels)
            ->setRelPaxesDist($relPaxesDist)
            ->setRebook($rebook);
    }
    /**
     * Get HotelOption value
     * @return \StructType\JP_HotelOptionRequest|null
     */
    public function getHotelOption()
    {
        return $this->HotelOption;
    }
    /**
     * Set HotelOption value
     * @param \StructType\JP_HotelOptionRequest $hotelOption
     * @return \StructType\JP_HotelBookingRulesRequest
     */
    public function setHotelOption(\StructType\JP_HotelOptionRequest $hotelOption = null)
    {
        $this->HotelOption = $hotelOption;
        return $this;
    }
    /**
     * Get SearchSegmentsHotels value
     * @return \StructType\JP_SearchSegmentsHotels|null
     */
    public function getSearchSegmentsHotels()
    {
        return $this->SearchSegmentsHotels;
    }
    /**
     * Set SearchSegmentsHotels value
     * @param \StructType\JP_SearchSegmentsHotels $searchSegmentsHotels
     * @return \StructType\JP_HotelBookingRulesRequest
     */
    public function setSearchSegmentsHotels(\StructType\JP_SearchSegmentsHotels $searchSegmentsHotels = null)
    {
        $this->SearchSegmentsHotels = $searchSegmentsHotels;
        return $this;
    }
    /**
     * Get RelPaxesDist value
     * @return \ArrayType\ArrayOfJP_HotelRelPaxDist|null
     */
    public function getRelPaxesDist()
    {
        return $this->RelPaxesDist;
    }
    /**
     * Set RelPaxesDist value
     * @param \ArrayType\ArrayOfJP_HotelRelPaxDist $relPaxesDist
     * @return \StructType\JP_HotelBookingRulesRequest
     */
    public function setRelPaxesDist(\ArrayType\ArrayOfJP_HotelRelPaxDist $relPaxesDist = null)
    {
        $this->RelPaxesDist = $relPaxesDist;
        return $this;
    }
    /**
     * Get Rebook value
     * @return \StructType\JP_Rebook|null
     */
    public function getRebook()
    {
        return $this->Rebook;
    }
    /**
     * Set Rebook value
     * @param \StructType\JP_Rebook $rebook
     * @return \StructType\JP_HotelBookingRulesRequest
     */
    public function setRebook(\StructType\JP_Rebook $rebook = null)
    {
        $this->Rebook = $rebook;
        return $this;
    }
}
